/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.url.rewrite.filter.internal;

import java.io.InputStream;

import java.util.Objects;

import javax.servlet.ServletContext;

import org.tuckey.web.filters.urlrewrite.UrlRewriteFilter;

/**
 * @author Shuyang Zhou
 */
public class ServletContextDelegate {

	public ServletContextDelegate(ServletContext servletContext) {
		_servletContext = servletContext;
	}

	public InputStream getResourceAsStream(String path) {
		if (Objects.equals(path, UrlRewriteFilter.DEFAULT_WEB_CONF_PATH)) {
			return ServletContextDelegate.class.getResourceAsStream(
				"/urlrewrite.xml");
		}

		return _servletContext.getResourceAsStream(path);
	}

	private final ServletContext _servletContext;

}